<?php
	$StrCmd=V($_POST['TxtAc']);
	$StrEmp=V($_POST['CboEmp']);
	////////////////////////////////////////////////
	function IMP_CLIENTES_BITACORA(){
		//BIT
		$_BIT_MOD_ID="0";
		$_BIT_SQL_CAB="SQL";
		$_BIT_SQL_DET="";
		$_BIT_PHP="imp_clientes.php";
		$_BIT_ID=BIT_ADD("IMPORTAR DATOS","IMPORTAR DATOS DE CLIENTES","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,"");
		//BIT	
		$cx=0;
		$data = new Spreadsheet_Excel_Reader();
		$data->setOutputEncoding('CP1251');
		$data->read('imp_clientes.xls');
		error_reporting(E_ALL ^ E_NOTICE);
		$Fil=$data->sheets[0]['numRows'];
		$Col=$data->sheets[0]['numCols'];	
		for ($i = 2; $i <= $Fil; $i++) {
			$NOM=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][1]))); 		
			$CON=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][2]))); 		
			$DIR=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][3])));
			$PRO=trim(str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][4]))));
			$RUC=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][5])));
			$DNI=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][6])));
			$TEL=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][7])));
			$CEL=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][8])));
			$FAX=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][9])));
			$EMA=str_replace("'"," ",trim(V($data->sheets[0]['cells'][$i][10])));
			//
			if(strlen($NOM)==0) break;
			//
			$PRO=PROV_GET_ID($PRO);				
			//
			$CLI=0;
			if(strlen($RUC)>0){
				$CLI=gn("id_cliente","clientes","cli_ruc='$RUC'");
			}
			if($CLI==0 && strlen($DNI)>0){
				$CLI=gn("id_cliente","clientes","cli_dni='$DNI'");
			}
			if($CLI==0){
				$CLI=gn("id_cliente","clientes","cli_nombre='$NOM'");		
			}
			if($CLI==0){
				$CLI=GenId("id_cliente","clientes");
				$s="INSERT INTO clientes VALUES ".
				   "($CLI,'$NOM','$CON','$DIR',$PRO,'$DNI',".
				   "'$RUC','$TEL','$CEL','$FAX','$EMA',0)";
				ejt($s);
				BIT_DET_ADD($_BIT_ID,$s);
				//
			}else{
				$s="UPDATE clientes SET ".
				   "cli_nombre='$NOM',cli_contacto='$CON',".
				   "cli_dir='$DIR',cli_id_distrito=$PRO,".
				   "cli_dni='$DNI',".
				   "cli_ruc='$RUC',cli_tel='$TEL',".
				   "cli_cel='$CEL',cli_fax='$FAX',cli_email='$EMA' ".
				   "WHERE id_cliente=$CLI";			
				ejt($s);
				BIT_DET_ADD($_BIT_ID,$s);
				//++++++++++++			
			}
		}
	}
	////////////////////////////////////////////////
	if($StrCmd=="IMPORTAR"){
		$StrFileN = $_FILES['userfile']['name']; 
		$StrFileT = $_FILES['userfile']['type']; 		
		$StrExt=extension($StrFileN);
		//		
		if (!($StrExt== "xls" || $StrExt=="XLS")){ 
			$LStrMsg="La extension debe ser XLS : $StrExt";
			$LStrFoc="document.getElementById('userfile').focus();";
			$StrGT="S";	
		}else{			
			$StrFileNew="imp_clientes.xls";
			if (move_uploaded_file($_FILES['userfile']['tmp_name'], $StrFileNew)){ 	
				//IMP_CLIENTES();	
				IMP_CLIENTES_BITACORA();		
				$LStrMsg="El archivo ha sido cargado correctamente ";
				$LStrFoc="document.getElementById('userfile').focus();";
				$StrGT="S";
			}else{ 
				$LStrMsg="Error al subir el archivo";
				$LStrFoc="document.getElementById('userfile').focus();";
				$StrGT="S";		
			} 
		}
		// 
	}
	//
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('userfile').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}

?>